Package Gnumed :: Package wxpython :: Module gmNarrativeWidgets :: Class cFancySoapEditorPnl |
[frames] | no frames]

# Class cFancySoapEditorPnl

source code

                                                  wx.Panel --+
                                                             |
    wxGladeWidgets.wxgFancySoapEditorPnl.wxgFancySoapEditorPnl --+
                                                                 |
                                                                cFancySoapEditorPnl

A panel holding everything needed to edit in context:

- encounter metadata
- progress notes
  - textual
  - visual
- episode summary

Does NOT act on the current patient.

Instance Methods
__init__(self, *args, **kwargs) | source code
add_editor(self, problem=None, allow_same_problem=False) | source code
save_encounter(self) | source code

Class Variables
| patient = `property(_get_patient, _set_patient)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgFancySoapEditorPnl.wxgFancySoapEditorPnl.__init__